# Account API

API for accounts

## Get the account

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Account API","description":"API for accounts"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/account":{"post":{"tags":["Account API"],"summary":"Get the account","description":"Permission annotations:","operationId":"getAccount","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyWithAccountContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyWithAccountContainer":{"required":["account","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"AccountResponseDTO":{"required":["account","balances","ownerId"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID"},"name":{"type":"string","description":"Name of the account"},"ownerId":{"type":"string","description":"Company ID of the account","format":"uuid"},"balances":{"type":"array","description":"Balances of the account","items":{"$ref":"#/components/schemas/BalanceResponseDTO"}}},"description":"Object with account data"},"BalanceResponseDTO":{"required":["amount","currency"],"type":"object","properties":{"currency":{"type":"string","description":"Currency of the balance"},"amount":{"type":"number","description":"Balance amount"}},"description":"Object with balance data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
